import { FastifyInstance } from 'fastify';
import * as controller from './gallery.controller';

async function galleryRoutes(fastify: FastifyInstance) {
    fastify.get('/gallery/fetch/:id', controller.getInfo);
    fastify.get('/gallery/search/provider', controller.searchInExtension);
    fastify.get('/gallery/favorites', controller.getFavorites);
    fastify.get('/gallery/favorites/:id', controller.getFavoriteById);
    fastify.post('/gallery/favorites', controller.addFavorite);
    fastify.delete('/gallery/favorites/:id', controller.removeFavorite);
}

export default galleryRoutes;